# Uses of Class
ij.plugin.tool.PlugInTool

Packages that use PlugInTool
Package
Description
ij.gui
ij.plugin.tool

## Uses of PlugInTool in ij.gui

Methods in ij.gui that return PlugInTool
Modifier and Type
Method
Description
`static PlugInTool`
Toolbar.`getPlugInTool()`
Methods in ij.gui with parameters of type PlugInTool
Modifier and Type
Method
Description
`static void`
Toolbar.`addPlugInTool(PlugInTool tool)`
Adds a plugin tool to the first available toolbar slot, or to the last slot if the toolbar is full.

## Uses of PlugInTool in ij.plugin.tool

Subclasses of PlugInTool in ij.plugin.tool
Modifier and Type
Class
Description
`class`
`ArrowTool`
`class`
`BrushTool`
This class implements the Paintbrush Tool, which allows the user to draw on an image, or on an Overlay if "Paint on overlay" is enabled.
`class`
`MacroToolRunner`
`class`
`OverlayBrushTool`
`class`
`PixelInspectionTool`
This plugin continuously displays the pixel values of the cursor and its surroundings.
`class`
`RoiRotationTool`